Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.iso.fs
Class CardFileWriter

    java.lang.Object
      java.io.Writer
          java.io.OutputStreamWriter
              opencard.opt.iso.fs.CardFileWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class CardFileWriter

extends java.io.OutputStreamWriter

`CardFileWriter` is a subclass of `OutputStreamWriter` that can be used to read text data from a `CardFile`. The constructor of this class assumes that the default character encoding and the default byte-buffer size are appropriate.

Version:
  $Id: CardFileWriter.java,v 1.2 1999/11/03 12:37:18 damke Exp $
Author:
  Peter Trommler (trp@zurich.ibm.com)
See Also:
  `FileWriter`, `CardFile`, `CardFileOutputStream`

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`CardFileWriter(CardFile file)` Instantiate a `CardFileWriter` for the specified `CardFile` object.

Method Summary

Methods inherited from class java.io.OutputStreamWriter
`close, flush, getEncoding, write, write, write`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardFileWriter

    public CardFileWriter(CardFile file)
                   throws java.io.IOException,
                          CardTerminalException

  Instantiate a `CardFileWriter` for the specified `CardFile` object.

  Parameters:
    `file` - The `CardFile` object to write to.
  Throws:
    `java.io.IOException` - Thrown if the file is not found or file type does not match.
    `CardTerminalException` - Thrown when the smart card has been removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD